Namespace (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## fr.inrialpes.exmo.align.impl
Enum Namespace

    java.lang.Object
      java.lang.Enum<Namespace>
          fr.inrialpes.exmo.align.impl.Namespace

All Implemented Interfaces:
  Serializable, Comparable<Namespace>

    public enum Namespace

extends Enum<Namespace>

Enum Constant Summary
`ALIGNMENT`
`ALIGNSVC`
`ATLMAP`
`DUBLIN_CORE`
`EDOAL`
`RDF`
`RDF_SCHEMA`
`SOAP_ENV`
`XSD`
`XSI`

Field Summary
`private boolean` | `addSharp` records if a sharp must be concatenated to the namespace
`String` | `prefix`
`private static Map<String,Namespace>` | `register`
`String` | `shortCut`
`String` | `uri`

Method Summary
`static Namespace` | `getNSByUri(String url)` Determines a namespace instance depending on it's url.
`boolean` | `getSharp()`
`String` | `getShortCut()`
`String` | `getUri()`
`String` | `getUriPrefix()`
`static Namespace` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Namespace[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALIGNMENT

    public static final Namespace ALIGNMENT

### ALIGNSVC

    public static final Namespace ALIGNSVC

### EDOAL

    public static final Namespace EDOAL

### DUBLIN_CORE

    public static final Namespace DUBLIN_CORE

### RDF_SCHEMA

    public static final Namespace RDF_SCHEMA

### SOAP_ENV

    public static final Namespace SOAP_ENV

### XSD

    public static final Namespace XSD

### XSI

    public static final Namespace XSI

### RDF

    public static final Namespace RDF

### ATLMAP

    public static final Namespace ATLMAP

Field Detail

### uri

    public final String uri

### shortCut

    public final String shortCut

### addSharp

    private final boolean addSharp

  records if a sharp must be concatenated to the namespace

### prefix

    public final String prefix

### register

    private static final Map<String,Namespace> register

Method Detail

### values

    public static Namespace[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Namespace c : Namespace.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Namespace valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getUri

    public String getUri()

### getUriPrefix

    public String getUriPrefix()

### getShortCut

    public String getShortCut()

### getSharp

    public boolean getSharp()

### getNSByUri

    public static Namespace getNSByUri(String url)

  Determines a namespace instance depending on it's url.

  Parameters:
    `url` - the url of the namespace.
  Returns:
    the namespace instance, or null, if no mathing namespace could be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

(C) INRIA & friends, 2003-2010